#
# spec file for package python-dash-renderer
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-dash-renderer
Version:        1.9.1
Release:        2.1
Summary:        Front-end component renderer for Dash
License:        MIT
URL:            https://github.com/plotly/dash/tree/dev/dash-renderer
Source:         https://files.pythonhosted.org/packages/source/d/dash_renderer/dash_renderer-%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/plotly/dash/dev/LICENSE
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Front-end component renderer for Dash.

%prep
%setup -q -n dash_renderer-%{version}
cp %{SOURCE99} .

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# no python tests available, js testing is hard.
# %%check

%files %{python_files}
%license LICENSE
%{python_sitelib}/dash_renderer
%{python_sitelib}/dash_renderer-%{version}.dist-info

%changelog
* Fri May  9 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
* Fri Apr  9 2021 Ben Greiner <code@bnavigator.de>
- Update to 1.9.1
  * see release notes of dash 1.20
* Sun Jan  3 2021 Benjamin Greiner <code@bnavigator.de>
- Update to v1.8.3 (prepared by @mmachova)
* Sat Apr 18 2020 Arun Persaud <arun@gmx.de>
- specfiles:
  * be more specific in %%files section
- update to version 1.4.0:
  * no changelog available
* Mon Mar 30 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.2.4
